<p>有时候我们会把数据库的连接密码保存在 HeidiSQL 中，但随着时间的流逝，我们可能希望重新找回保存在 HeidiSQL 中的密码，但 HeidiSQL 中保存的密码是无法被复制的。</p> <br><p></p> <br><p class="img-center"><img alt="2024-10-08_11-51-23" height="490" src="https://img-blog.csdnimg.cn/img_convert/d19020a3e079b8e424532471cba68356.png" width="677" /></p> <br><p>这时候，我们需要想办法找到原始的密码。</p> <br><h3>加密算法</h3> <br><p>HeidiSQL 中存储的密码使用了加密算法，但这个不是单向加密的，是可以恢复回来的。</p> <br><p>使用下面的方法就可以找回原始密码。</p> <br><ol><li>打开 HeidiSQL and select File > Export Settings 把当前保存在 HeidiSQL 的配置导出成为文本。</li></ol> <br><p></p> <br><p class="img-center"><img alt="" height="310" src="https://img-blog.csdnimg.cn/img_convert/a67c4d82262eff3ceae269f356695b23.png" width="247" /></p> <br><p><br /> 2. 使用记事本打开导出的文本。<br /> 3. 在记事本打开的文本中，找到类似 755A5A585C3D8141 这样的字符串，并且把这个字符串先保存下来。</p> <br><p></p> <br><p></p> <br><p class="img-center"><a href="https://cdn.isharkfly.com/com-isharkfly-www/discourse-uploads/original/2X/f/f6a1f5d6454b43679f5a04d5d74a8444ec702ff0.png" rel="nofollow"><img alt="2024-10-08_11-55-09" height="638" src="https://img-blog.csdnimg.cn/img_convert/afc911b4e3f892e9d4828d9cf57fc347.png" width="826" /></a></p> <br><p></p> <br><ol><li>拷贝下面的 HTML 代码到记事本中，然后修改后缀名为 html</li></ol> <br><p></p> <br><pre><code><!doctype html><br><html><br><body><br><script><br>function heidiDecode(hex) {<br>    var str = '';<br>    var shift = parseInt(hex.substr(-1));<br>    hex = hex.substr(0, hex.length - 1);<br>    for (var i = 0; i < hex.length; i += 2) <br>        str += String.fromCharCode(parseInt(hex.substr(i, 2), 16) - shift); <br>    return str; <br>} <br>document.write(heidiDecode('[ENCODED_PASSWORD]')); </script><br></body><br></html><br></code></pre> <br><ol><li>把从 HeidiSQL 到处的配置文件中有关密码的加密字符串，替换掉 [ENCODED_PASSWORD] 。</li><li>将上述的 HTML 文件保存，然后双击打开浏览器，在浏览器中就可以查看解密后的密码原文。</li></ol> <br><p></p> <br><p></p> <br><p class="img-center"><a href="https://cdn.isharkfly.com/com-isharkfly-www/discourse-uploads/original/2X/5/57ec3a30ade35c239b4dcaedcac746e213d5b759.png" rel="nofollow"><img alt="2024-10-08_11-58-05" height="336" src="https://img-blog.csdnimg.cn/img_convert/06dc84c77d86b75268bd12de241709ba.png" width="903" /></a></p> <br><p></p> <br><p></p> <br><p>上面代码的核心就是这个解密函数。</p> <br><p></p> <br><pre><code>function heidiDecode(hex) {<br>    var str = '';<br>    var shift = parseInt(hex.substr(-1));<br>    hex = hex.substr(0, hex.length - 1);<br>    for (var i = 0; i < hex.length; i += 2) <br>        str += String.fromCharCode(parseInt(hex.substr(i, 2), 16) - shift); <br>    return str; <br>} <br></code></pre> <br><p>你也可以拷贝上面的代码到任何在线的 JS 编辑网站上，直接运行字符串就行。</p> <br><p>为了简单的调试，我们嵌入这个 JavaScript 代码到：<a href="https://jsfiddle.net/xmzn6309/" rel="nofollow" title="https://jsfiddle.net/xmzn6309/">https://jsfiddle.net/xmzn6309/</a></p> <br><p></p> <br><p></p> <br><p class="img-center"><a href="https://cdn.isharkfly.com/com-isharkfly-www/discourse-uploads/original/2X/6/6a6898c183cbd897e296521ef9e341f32b1eb480.png" rel="nofollow"><img alt="2024-10-08_12-07-31" height="337" src="https://img-blog.csdnimg.cn/img_convert/d7eae8af965dbfb850c8e2abc856ae28.png" width="690" /></a></p> <br><p></p> <br><p>在这上面直接运行就好。</p> <br><p></p> <br><p><a href="https://www.isharkfly.com/t/heidisql/16404" rel="nofollow" title="https://www.isharkfly.com/t/heidisql/16404">https://www.isharkfly.com/t/heidisql/16404</a></p> <br><p></p>