<p>在 Nginx 配置 SSL 的时候 nginx 提示错误：</p> <br><p></p> <br><pre><code>Restarting nginx: [emerg]: SSL_CTX_set_cipher_list("HIGH:!SSLv2:!SSLv3") failed (SSL: error:1410D0B9:SSL routines:SSL_CTX_set_cipher_list:no cipher match) nginx.<br></code></pre> <br><h3>问题和解决</h3> <br><p>出现上面的问题是英文 nginx 在操作系统中的 ssl_ciphers 设置为： PROFILE=SYSTEM</p> <br><p>PROFILE=SYSTEM 是针对 Redhat/Fedora 操作系统进行了修改，同时这个还需要依赖 OpenSSL。</p> <br><p>但这个配置没有再 Apache 或 OpenSSL 的官方文档中找到相关的配置。</p> <br><p>所以如果 Nginx 在 Ubuntu 配置这个属性的话就会出现上面的错误。</p> <br><p>根据官方的文档，可以配置为：</p> <br><p><code>ssl_ciphers AES128-SHA:AES256-SHA:RC4-SHA:DES-CBC3-SHA:RC4-MD5;</code></p> <br><p></p> <br><p></p> <br><p class="img-center"><a href="https://cdn.isharkfly.com/com-isharkfly-www/discourse-uploads/original/3X/6/2/62e1509ecce0fdc45e098c7a0e06b971e857677f.jpeg" rel="nofollow"><img alt="nginx-decrypts-https-traffic" height="385" src="https://i-blog.csdnimg.cn/img_convert/08cdfaf36968cb674166a007363170a3.jpeg" width="690" /></a></p> <br><p>因此，需要针对 nginx 修改上面的配置。</p> <br><p></p> <br><p><a class="has-card" href="https://www.isharkfly.com/t/nginx-ssl-error-1410d0b/16882" rel="nofollow" title="Nginx SSL: error:1410D0B 错误 - DevOps - iSharkFly"><span class="link-card-box" contenteditable="false"><span class="link-title">Nginx SSL: error:1410D0B 错误 - DevOps - iSharkFly</span><span class="link-desc">在 Nginx 配置 SSL 的时候 nginx 提示错误： Restarting nginx: [emerg]: SSL_CTX_set_cipher_list("HIGH:!SSLv2:!SSLv3") failed (SSL: error:1410D0B9:SSL routines:SSL_CTX_set_cipher_list:no cipher match) nginx.问题和解决出现上面的问题是英文 nginx 在操…</span><span class="link-link"><img class="link-link-icon" src="https://csdnimg.cn/release/blog_editor_html/release2.3.7/ckeditor/plugins/CsdnLink/icons/icon-default.png?t=O83A" />https://www.isharkfly.com/t/nginx-ssl-error-1410d0b/16882</span></span></a></p>